summaryrefslogtreecommitdiffstats
path: root/source/d/strace/strace.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/d/strace/strace.SlackBuild')
-rwxr-xr-xsource/d/strace/strace.SlackBuild9
1 files changed, 7 insertions, 2 deletions
diff --git a/source/d/strace/strace.SlackBuild b/source/d/strace/strace.SlackBuild
index bc5309dc3..d3d86368c 100755
--- a/source/d/strace/strace.SlackBuild
+++ b/source/d/strace/strace.SlackBuild
@@ -23,7 +23,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=strace
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
@@ -64,7 +64,7 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf strace-$VERSION
-tar xvf $CWD/strace-$VERSION.tar.xz || exit 1
+tar xvf $CWD/strace-$VERSION.tar.?z || exit 1
cd strace-$VERSION || exit 1
chown -R root:root .
find . \
@@ -73,6 +73,11 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+if [ ! -x configure ]; then
+ ./bootstrap
+ autoreconf -vif
+fi
+
CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \